<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Thread::Coap::Header::Option Struct Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d1/d84/structThread_1_1Coap_1_1Header_1_1Option.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="../../d4/d60/structThread_1_1Coap_1_1Header_1_1Option-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Thread::Coap::Header::Option Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This structure represents a CoAP option.  
 <a href="../../d1/d84/structThread_1_1Coap_1_1Header_1_1Option.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="../../d1/d8d/coap__header_8hpp_source.html">src/core/coap/coap_header.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:ae1e3e4cb2ec191342455bcc18a296a79"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom">{ <br />
&#160;&#160;<a class="el" href="../../d1/d84/structThread_1_1Coap_1_1Header_1_1Option.html#ae1e3e4cb2ec191342455bcc18a296a79a92b0b438b1d379d3d38886a8ccbc014e">kOptionDeltaOffset</a> = 4, 
<br />
&#160;&#160;<a class="el" href="../../d1/d84/structThread_1_1Coap_1_1Header_1_1Option.html#ae1e3e4cb2ec191342455bcc18a296a79ab371bb9b10e928846f74a1a42b3dd2fb">kOptionDeltaMask</a> = 0xf &lt;&lt; kOptionDeltaOffset
<br />
 }<tr class="memdesc:ae1e3e4cb2ec191342455bcc18a296a79"><td class="mdescLeft">&#160;</td><td class="mdescRight">Protocol Constants.  <a href="../../d1/d84/structThread_1_1Coap_1_1Header_1_1Option.html#ae1e3e4cb2ec191342455bcc18a296a79">More...</a><br /></td></tr>
</td></tr>
<tr class="separator:ae1e3e4cb2ec191342455bcc18a296a79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a5e73d0ad2efffd4de813a1fdd40089"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d84/structThread_1_1Coap_1_1Header_1_1Option.html#a8a5e73d0ad2efffd4de813a1fdd40089">Type</a> { <br />
&#160;&#160;<a class="el" href="../../d1/d84/structThread_1_1Coap_1_1Header_1_1Option.html#a8a5e73d0ad2efffd4de813a1fdd40089a0e65e3e14b86582767797f3432d0b3b6">kOptionUriPath</a> = 11, 
<br />
&#160;&#160;<a class="el" href="../../d1/d84/structThread_1_1Coap_1_1Header_1_1Option.html#a8a5e73d0ad2efffd4de813a1fdd40089a83e06f1e67155c91d81e55945adb10b1">kOptionContentFormat</a> = 12
<br />
 }<tr class="memdesc:a8a5e73d0ad2efffd4de813a1fdd40089"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="../../d1/d84/structThread_1_1Coap_1_1Header_1_1Option.html" title="This structure represents a CoAP option. ">Option</a> Numbers.  <a href="../../d1/d84/structThread_1_1Coap_1_1Header_1_1Option.html#a8a5e73d0ad2efffd4de813a1fdd40089">More...</a><br /></td></tr>
</td></tr>
<tr class="separator:a8a5e73d0ad2efffd4de813a1fdd40089"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ac3b15830d02c0536252044812e459bcb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac3b15830d02c0536252044812e459bcb"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d84/structThread_1_1Coap_1_1Header_1_1Option.html#ac3b15830d02c0536252044812e459bcb">mNumber</a></td></tr>
<tr class="memdesc:ac3b15830d02c0536252044812e459bcb"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="../../d1/d84/structThread_1_1Coap_1_1Header_1_1Option.html" title="This structure represents a CoAP option. ">Option</a> Number. <br /></td></tr>
<tr class="separator:ac3b15830d02c0536252044812e459bcb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a564f8d7e4377cef0c17cad9c57e5c3ec"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a564f8d7e4377cef0c17cad9c57e5c3ec"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d84/structThread_1_1Coap_1_1Header_1_1Option.html#a564f8d7e4377cef0c17cad9c57e5c3ec">mLength</a></td></tr>
<tr class="memdesc:a564f8d7e4377cef0c17cad9c57e5c3ec"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="../../d1/d84/structThread_1_1Coap_1_1Header_1_1Option.html" title="This structure represents a CoAP option. ">Option</a> Length. <br /></td></tr>
<tr class="separator:a564f8d7e4377cef0c17cad9c57e5c3ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06c4b7697acd4559de7c5790395368ae"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a06c4b7697acd4559de7c5790395368ae"></a>
const uint8_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d84/structThread_1_1Coap_1_1Header_1_1Option.html#a06c4b7697acd4559de7c5790395368ae">mValue</a></td></tr>
<tr class="memdesc:a06c4b7697acd4559de7c5790395368ae"><td class="mdescLeft">&#160;</td><td class="mdescRight">A pointer to the <a class="el" href="../../d1/d84/structThread_1_1Coap_1_1Header_1_1Option.html" title="This structure represents a CoAP option. ">Option</a> Value. <br /></td></tr>
<tr class="separator:a06c4b7697acd4559de7c5790395368ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This structure represents a CoAP option. </p>
</div><h2 class="groupheader">Member Enumeration Documentation</h2>
<a class="anchor" id="ae1e3e4cb2ec191342455bcc18a296a79"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">anonymous enum</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Protocol Constants. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="ae1e3e4cb2ec191342455bcc18a296a79a92b0b438b1d379d3d38886a8ccbc014e"></a>kOptionDeltaOffset&#160;</td><td class="fielddoc">
<p>Delta Offset. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ae1e3e4cb2ec191342455bcc18a296a79ab371bb9b10e928846f74a1a42b3dd2fb"></a>kOptionDeltaMask&#160;</td><td class="fielddoc">
<p>Delta Mask. </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="a8a5e73d0ad2efffd4de813a1fdd40089"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d1/d84/structThread_1_1Coap_1_1Header_1_1Option.html#a8a5e73d0ad2efffd4de813a1fdd40089">Thread::Coap::Header::Option::Type</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p><a class="el" href="../../d1/d84/structThread_1_1Coap_1_1Header_1_1Option.html" title="This structure represents a CoAP option. ">Option</a> Numbers. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="a8a5e73d0ad2efffd4de813a1fdd40089a0e65e3e14b86582767797f3432d0b3b6"></a>kOptionUriPath&#160;</td><td class="fielddoc">
<p>Uri-Path. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a8a5e73d0ad2efffd4de813a1fdd40089a83e06f1e67155c91d81e55945adb10b1"></a>kOptionContentFormat&#160;</td><td class="fielddoc">
<p>Content-Format. </p>
</td></tr>
</table>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>src/core/coap/<a class="el" href="../../d1/d8d/coap__header_8hpp_source.html">coap_header.hpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>Thread</b></li><li class="navelem"><a class="el" href="../../d6/ddc/namespaceThread_1_1Coap.html">Coap</a></li><li class="navelem"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Header</a></li><li class="navelem"><a class="el" href="../../d1/d84/structThread_1_1Coap_1_1Header_1_1Option.html">Option</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:36 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
